Skip to main content
GET
Go (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

state
enum<string> | null
Available options:
pending,
running,
publishing,
succeeded,
failed,
cancelling,
cancelled
generator_id
string | null
output_repo
string | null
created_after
string<date-time> | null
created_before
string<date-time> | null
limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string | null
order
enum<string>
default:desc
Available options:
asc,
desc

Response

Successful Response

data
Generation ยท object[]
required
next_cursor
string | null
total
integer | null